aboutsummaryrefslogtreecommitdiff
path: root/etc/bootstrap/bbot-bootstrap-macos.sh
diff options
context:
space:
mode:
Diffstat (limited to 'etc/bootstrap/bbot-bootstrap-macos.sh')
-rwxr-xr-xetc/bootstrap/bbot-bootstrap-macos.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/etc/bootstrap/bbot-bootstrap-macos.sh b/etc/bootstrap/bbot-bootstrap-macos.sh
index 0aa4ec3..9c1ef1f 100755
--- a/etc/bootstrap/bbot-bootstrap-macos.sh
+++ b/etc/bootstrap/bbot-bootstrap-macos.sh
@@ -10,15 +10,20 @@ if ! jobs="$(sysctl -n hw.ncpu)"; then
jobs=1
fi
+# Note: bootstrap script options must come before build options.
+#
"$(dirname "$0")/bbot-bootstrap.sh" \
--cxx clang++ \
--build /tmp \
--environments "$HOME/environments" \
+ "$@" \
--make make \
- --make "-j$jobs" \
- "$@"
+ --make "-j$jobs"
-# Wait a bit and shutdown.
+# If success, wait a bit and shutdown. Otherwise leave the machine running
+# for investigation.
#
-sleep 5
-sudo shutdown -h now
+if test "$?" -eq 0; then
+ sleep 5
+ sudo shutdown -h now
+fi